### Hierarchy

- IIdentityStore

### Implemented by

- IdbIdentityStore

## Index

### Methods

- getSessions
- getUsers
- putSession
- putUser

## Methods

### getSessions

- getSessions(): Promise<Map<string, DomainUserId>>

- #### Returns Promise<Map<string, DomainUserId>>

### getUsers

- getUsers(): Promise<DomainUser[]>

- #### Returns Promise<DomainUser[]>

### putSession

- putSession(sessionId: string, userId: DomainUserId): Promise<void>

- #### Parameters

  - ##### sessionId: string

  - ##### userId: DomainUserId

  #### Returns Promise<void>

### putUser

- putUser(user: DomainUser): Promise<void>

- #### Parameters

  - ##### user: DomainUser

  #### Returns Promise<void>